cURL
curl --request PUT \
--url https://aodocs.altirnao.com/api/document/v1/{documentId}/checkin \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/document/v1/{documentId}/checkin"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/document/v1/{documentId}/checkin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>",
"kind": "<string>"
}documentId
Put documentv1 checkin
Checks in a document (commits the draft version’s content as a new version of the document - at the end of the potential job).
PUT
/
document
/
v1
/
{documentId}
/
checkin
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the document
Query Parameters
The name of the new version to be created
The description of the new version to be created
The security code
The G Suite domain
⌘I